Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.language.base
[Java] Interface LanguageSourceSet

    org.gradle.api.Buildable
      org.gradle.language.base.LanguageSourceSet
          org.gradle.api.Named

All Superinterfaces:
  Buildable, Named

    @Incubating
    @HasInternalProtocol
    public interface LanguageSourceSet
    extends Buildable, Named

A set of sources for a programming language.

Method Summary
`SourceDirectorySet` | `getSource()` The source files.
`void` | `source(Action config)` Configure the sources

Methods inherited from interface Buildable
getBuildDependencies

Methods inherited from interface Named
getName

Method Detail

### getSource

    public SourceDirectorySet getSource()

  The source files.

### source

    public void source(Action config)

  Configure the sources

Gradle API 1.10